Bug 80561 - middle mouse button does not work
middle mouse button does not work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
9
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-27 17:18 EST by Robert de Rooy
Modified: 2007-03-26 23:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 16:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert de Rooy 2002-12-27 17:18:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
With the version of gpm (1.19.3) shipped with phoebe my middle mouse button does
not work on my IBM ThinkPad T30 with trackpoint/touchpad (UltraNav) combo.

This bug has been fixed in the just released 1.20.1 version of gpm available here:
ftp://arcana.linux.it/pub/gpm/gpm-1.20.1.tar.bz2

e.g. would it be possible to get this newer version of gpm included?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install phoebe on ThinkPad T30 with UltraNav/TrackPoint combo
2.try to copy 'n paste using the middle mouse button
3.
    

Actual Results:  nothing

Expected Results:  a copy of the selected text

Additional info:
Comment 1 Pam Huntley 2003-01-09 23:45:37 EST
Hi, I'm also seeing this bug, same problem, on another IBM ThinkPad with the
same touchpad/trackpoint combo.
Comment 2 Pam Huntley 2003-01-14 16:18:53 EST
There's also an driver for X that will fix this (in addition to the gpm fix). 
You need the get the synapics X driver from
http://mobilix.org/touchpad_driver.html and apply the patch from here:
http://static.linuxcare.com/certs/synaptics_passthrough.patch and it will work.

Only problem is, it requires X source to build it...

The maintainer, David Kennedy <dkennedy_AT_lab43.org>, is working on getting it
included in the XFree86 distribution, but apparently that is a lengthy process....
Comment 3 Eido Inoue 2003-07-28 16:55:56 EDT
the version you requested is in rawhide and will be in the next release

Note You need to log in before you can comment on or make changes to this bug.